import {
  a as e
} from "./chunk-KCGBM3WI.js";
import {
  a as t
} from "./chunk-IO47FP3U.js";

// src/manager-errors.ts
var _ = /* @__PURE__ */ ((A) => (A.MANAGER_UNCAUGHT = "MANAGER_UNCAUGHT", A.MANAGER_UI = "MANAGER_UI", A.MANAGER_API = "MANAGER_API", A.MANAGER_CLIENT_LOGGER = "MANAGER_CLIENT-LOGGER", A.MANAGER_CHANNELS = "MANAGER_CHANNELS", A.MANAGER_CORE_EVENTS = "MANAGER_CORE-EVENTS", A.MANAGER_ROUTER = "MANAGER_ROUTER", A.MANAGER_THEMING = "MANAGER_THEMING", A))(_ || {}), N = class N extends e {
  constructor() {
    super({
      category: "MANAGER_UI",
      code: 1,
      message: "The Provider passed into Storybook's UI is not extended from the base Provider. Please check your Provider implementation."
    });
  }
};
t(N, "ProviderDoesNotExtendBaseProviderError");
var R = N, E = class E extends e {
  constructor(s) {
    super({
      category: "MANAGER_UNCAUGHT",
      code: 1,
      message: s.error.message
    });
    this.data = s;
    this.stack = s.error.stack;
  }
};
t(E, "UncaughtManagerError");
var o = E, G = class G extends e {
  constructor(s) {
    super({
      category: "MANAGER_API",
      code: 1,
      message: `Status has typeId "${s.status.typeId}" but was added to store with typeId "${s.typeId}". Full status: ${JSON.stringify(
        s.status,
        null,
        2
      )}`
    });
    this.data = s;
  }
};
t(G, "StatusTypeIdMismatchError");
var p = G;

export {
  _ as a,
  R as b,
  o as c,
  p as d
};
